%define upstream_name    Inline
%define upstream_version 0.86

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Write Perl subroutines in other programming languages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Inline/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(JSON::PP)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn) >= 0.230.0
BuildRequires: perl(version) >= 0.820.0
BuildRequires: perl-devel
Requires:   perl(Parse::RecDescent)
%{?perl_default_filter}

%description
The Inline module allows you to put source code from other programming
languages directly "inline" in a Perl script or module. The code is
automatically compiled as needed, and then loaded for immediate access
from Perl.

Inline saves you from the hassle of having to write and compile your
own glue code using facilities like XS or SWIG. Simply type the code
where you want it and run your Perl as normal. All the hairy details
are handled for you. The compilation and installation of your code
chunks all happen transparently; all you will notice is the delay of
compilation on the first run.

The Inline code only gets compiled the first time you run it (or
whenever it is modified) so you only take the performance hit
once. Code that is Inlined into distributed modules (like on the CPAN)
will get compiled when the module is installed, so the end user will
never notice the compilation time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/*/*
%{perl_vendorlib}/Inline*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.860.0-3.mga9
+ Revision: 1812222
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 0.860.0-2.mga8
+ Revision: 1543014
- Mageia 8 Mass Rebuild

* Fri Jan 10 2020 tv <tv> 0.860.0-1.mga8
+ Revision: 1477461
- update to 0.86

* Tue Jan 07 2020 tv <tv> 0.850.0-1.mga8
+ Revision: 1477055
- update to 0.85
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jun 29 2019 shlomif <shlomif> 0.830.0-1.mga8
+ Revision: 1415589
- update to 0.83

* Sun Mar 31 2019 tv <tv> 0.820.0-1.mga7
+ Revision: 1383790
- update to 0.82

* Mon Feb 04 2019 tv <tv> 0.810.0-1.mga7
+ Revision: 1363035
- update to 0.81

* Thu Sep 20 2018 umeabot <umeabot> 0.800.0-7.mga7
+ Revision: 1284378
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.800.0-6.mga7
+ Revision: 1165008
- rebuild with fixed rpm for missing autodeps

* Sat Sep 02 2017 tv <tv> 0.800.0-5.mga7
+ Revision: 1150586
- rebuild for fixed perl

* Sun Jun 19 2016 pterjan <pterjan> 0.800.0-4.mga6
+ Revision: 1028546
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.800.0-3.mga6
+ Revision: 971578
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.800.0-2.mga6
+ Revision: 892089
- make it noarch thus fixing empty debuginfo

* Sun Jun 21 2015 sander85 <sander85> 0.800.0-1.mga6
+ Revision: 837029
- update to 0.80

* Wed Oct 15 2014 umeabot <umeabot> 0.760.0-4.mga5
+ Revision: 742730
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.760.0-3.mga5
+ Revision: 732296
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.760.0-2.mga5
+ Revision: 685130
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 sander85 <sander85> 0.760.0-1.mga5
+ Revision: 665924
- update to 0.76

* Sun Aug 17 2014 sander85 <sander85> 0.740.0-1.mga5
+ Revision: 664784
- update to 0.74

* Sat Aug 16 2014 sander85 <sander85> 0.720.0-1.mga5
+ Revision: 664347
- update to 0.72

* Mon Aug 11 2014 sander85 <sander85> 0.680.0-1.mga5
+ Revision: 661734
- update to 0.68

* Fri Aug 08 2014 sander85 <sander85> 0.670.0-1.mga5
+ Revision: 661034
- update to 0.67

* Fri Aug 01 2014 sander85 <sander85> 0.660.0-1.mga5
+ Revision: 659034
- update to 0.66

* Wed Jul 30 2014 sander85 <sander85> 0.650.0-1.mga5
+ Revision: 658180
- update to 0.65

* Mon Jul 21 2014 sander85 <sander85> 0.640.0-1.mga5
+ Revision: 655136
- update to 0.64

* Fri Jul 18 2014 sander85 <sander85> 0.630.0-1.mga5
+ Revision: 653588
- update to 0.63

* Tue Jul 15 2014 sander85 <sander85> 0.620.0-1.mga5
+ Revision: 653023
- update to 0.62

* Thu Jul 10 2014 sander85 <sander85> 0.560.0-1.mga5
+ Revision: 651031
- update to 0.56

* Tue May 06 2014 jquelin <jquelin> 0.550.0-1.mga5
+ Revision: 620685
- update to 0.55

* Tue Apr 15 2014 jquelin <jquelin> 0.540.0-1.mga5
+ Revision: 614887
- update to 0.54

* Sat Oct 19 2013 umeabot <umeabot> 0.530.0-2.mga4
+ Revision: 525986
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.530.0-1.mga4
+ Revision: 435036
- update to 0.53

* Wed May 29 2013 tv <tv> 0.510.0-3.mga4
+ Revision: 432703
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.510.0-2.mga3
+ Revision: 368743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.510.0-1.mga3
+ Revision: 306140
- update to 0.51

* Thu Feb 23 2012 jquelin <jquelin> 0.500.0-1.mga2
+ Revision: 212988
- update to 0.50

* Sat Dec 10 2011 kharec <kharec> 0.490.0-1.mga2
+ Revision: 179892
- update to 0.49
+ jquelin <jquelin>
- remove parallel tests
- update buildrequires:
- update to 0.48

* Thu Feb 17 2011 dmorgan <dmorgan> 0.470.0-1.mga1
+ Revision: 52931
- New version

* Fri Jan 21 2011 jquelin <jquelin> 0.460.0-1.mga1
+ Revision: 30612
- mageia rebuild
- imported package perl-Inline


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.460.0-1mdv2010.1
+ Revision: 504495
- update to 0.46

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.450.0-1mdv2010.0
+ Revision: 407071
- rebuild using %%perl_convert_version

* Sun Nov 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.45-1mdv2009.1
+ Revision: 305992
- new version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.44-11mdv2009.0
+ Revision: 223795
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.44-10mdv2008.1
+ Revision: 180415
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 0.44-9mdv2008.0
+ Revision: 19148
- rebuild


* Fri Feb 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.44-8mdk
- Rebuild
- Add tests

* Tue Jan 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.44-7mdk
- Require Parse::RecDescent (for Inline::C)

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.44-6mdk
- Rebuild for new perl

* Mon Aug 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.44-5mdk
- Rebuild for new perl

* Fri Sep 26 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.44-4mdk
- use %%perl_vendorlib

* Thu Aug 14 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.44-3mdk
- rebuild for new perl (test don't all pass, disabling them, seems
  it really does work)

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.44-2mdk
- fix arch
- rebuild for new auto{prov,req}

